{
  "name": "react-native-reanimated-v1",
  "version": "1.13.4",
  "description": "More powerful alternative to Animated library for React Native.",
  "scripts": {
    "start": "node node_modules/react-native/local-cli/cli.js start",
    "test": "npm run format && npm run lint && npm run test:unit",
    "test:unit": "jest",
    "format": "prettier --write --list-different './src/**/*.js'",
    "lint": "eslint './src/**/*.js'",
    "release": "npm login && release-it",
    "prepare": "bob build"
  },
  "main": "lib/commonjs/Animated",
  "module": "lib/module/Animated",
  "react-native": "src/Animated",
  "source": "src/Animated",
  "types": "react-native-reanimated.d.ts",
  "files": [
    "src/",
    "lib/",
    "android/src/main/AndroidManifest.xml",
    "android/src/main/java/",
    "android/build.gradle",
    "ios/",
    "!ios/build/",
    "RNReanimated.podspec",
    "README.md",
    "react-native-reanimated.d.ts",
    "mock.js",
    "!__snapshots__",
    "!*.test.js",
    "!*.test.js.map"
  ],
  "repository": {
    "type": "git",
    "url": "git+https://github.com/software-mansion/react-native-reanimated-v1.git"
  },
  "author": {
    "email": "krzys.magiera@gmail.com",
    "name": "Krzysztof Magiera"
  },
  "license": "MIT",
  "readmeFilename": "README.md",
  "bugs": {
    "url": "https://github.com/software-mansion/react-native-reanimated-v1/issues"
  },
  "homepage": "https://github.com/software-mansion/react-native-reanimated-v1#readme",
  "dependencies": {
    "fbjs": "^1.0.0"
  },
  "peerDependencies": {
    "react": "*",
    "react-native": "*"
  },
  "devDependencies": {
    "@babel/core": "^7.7.5",
    "@babel/plugin-proposal-class-properties": "^7.7.4",
    "@babel/preset-env": "^7.7.6",
    "@babel/preset-typescript": "^7.7.4",
    "@react-native-community/bob": "^0.14.3",
    "@react-native-community/eslint-config": "^0.0.5",
    "@types/react": "^16.9.0",
    "@types/react-native": "0.60.19",
    "babel-eslint": "^10.0.3",
    "babel-jest": "^24.9.0",
    "eslint": "^6.5.1",
    "eslint-config-prettier": "^6.4.0",
    "eslint-config-standard": "^14.1.0",
    "eslint-plugin-import": "^2.18.2",
    "eslint-plugin-node": "^10.0.0",
    "eslint-plugin-promise": "^4.2.1",
    "eslint-plugin-standard": "^4.0.1",
    "husky": "^3.0.9",
    "jest": "^24.9.0",
    "lint-staged": "^9.4.2",
    "prettier": "^1.13.7",
    "react": "^16.9.0",
    "react-native": "^0.61.0",
    "react-test-renderer": "16.9.0",
    "release-it": "^13.1.1",
    "typescript": "^3.9.7"
  },
  "lint-staged": {
    "*.js": [
      "eslint",
      "git add"
    ]
  },
  "husky": {
    "hooks": {
      "pre-commit": "lint-staged"
    }
  },
  "release-it": {
    "hooks": {
      "before:git:bump": [
        "# check if version corresponds to changes in native files  \n  if git diff --name-only ${latestVersion} HEAD | egrep '(android/.*)|(ios/.*)' -q ; then egrep '\\.0$' -q <<< ${version} ; else true ; fi ;"
      ]
    }
  },
  "@react-native-community/bob": {
    "source": "src",
    "output": "lib",
    "targets": [
      "commonjs",
      "module"
    ]
  }
}
